package com.yami.shop.wx.service;

import com.yami.shop.bean.bo.PayInfoBo;
import com.yami.shop.wx.config.WechatPayServiceConfig;
import com.yami.shop.wx.po.JsapiPayInfoPo;
import com.yami.shop.wx.po.RefundInfoPo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

public interface WxProviderService {

    Map<String, Object> subJsapi(JsapiPayInfoPo po);

    String refundOrder(RefundInfoPo po);

    PayInfoBo notifyParse(HttpServletRequest request, HttpServletResponse response);

    void refundNotifyParse(HttpServletRequest request, HttpServletResponse response);

    Map<String, Object> getPayResultByOrderNo(String orderNo);

    Map<String, Object> queryRefundOrder(String refundNo);

    WechatPayServiceConfig getWxConfig();
}
